메소드 | 설명 | |
---|---|---|
Distribute ( Mesh mesh, Autodesk &startPoint, Autodesk &endPoint, Autodesk &thirdPnt ) : void |
Find out the three points which made of a plane.
|
|
Equal ( Autodesk vectorA, Autodesk vectorB ) : bool |
Determines whether two vector are equal in x and y axis.
|
|
GetExtrusionFace ( Extrusion extrusion, View view, bool ExtOrInt ) : Face |
The method is used to get extrusion's face along to the specified parameters
|
|
GetVector ( Autodesk startPoint, Autodesk endPoint ) : Autodesk.Revit.DB.XYZ |
Get the vector between two points.
|
|
GetWallFace ( Wall wall, View view, bool ExtOrInt ) : Face |
The method is used to get the wall face along the specified parameters
|
|
IsVerticalEdge ( System.Edge edge ) : bool |
Determines whether a edge is vertical.
|
메소드 | 설명 | |
---|---|---|
GetExteriorFace ( FaceArray faces ) : Face |
The assistant method is used for getting wall face and getting extrusion face
|
|
GetInteriorFace ( FaceArray faces ) : Face |
The assistant method is used for getting wall face and getting extrusion face
|
public static Distribute ( Mesh mesh, Autodesk &startPoint, Autodesk &endPoint, Autodesk &thirdPnt ) : void | ||
mesh | Mesh | A mesh contains many points. |
startPoint | Autodesk | Create a new instance of ReferencePlane. |
endPoint | Autodesk | The free end apply to reference plane. |
thirdPnt | Autodesk | A third point needed to define the reference plane. |
리턴 | void |
public static Equal ( Autodesk vectorA, Autodesk vectorB ) : bool | ||
vectorA | Autodesk | The vector A. |
vectorB | Autodesk | The vector B. |
리턴 | bool |
public static GetExtrusionFace ( Extrusion extrusion, View view, bool ExtOrInt ) : Face | ||
extrusion | Extrusion | the extrusion |
view | View | options view |
ExtOrInt | bool | If true indicate getting exterior extrusion face, else getting interior extrusion face |
리턴 | Face |
public static GetVector ( Autodesk startPoint, Autodesk endPoint ) : Autodesk.Revit.DB.XYZ | ||
startPoint | Autodesk | The start point. |
endPoint | Autodesk | The end point. |
리턴 | Autodesk.Revit.DB.XYZ |
public static GetWallFace ( Wall wall, View view, bool ExtOrInt ) : Face | ||
wall | Wall | the wall |
view | View | the options view |
ExtOrInt | bool | if true indicate that get exterior wall face, else false get the interior wall face |
리턴 | Face |
public static IsVerticalEdge ( System.Edge edge ) : bool | ||
edge | System.Edge | The edge to be determined. |
리턴 | bool |